#include "VOS_API/DX_VOS_Rng.h"
#include "VOS_API/DX_VOS_Time.h"

void DX_VOS_GenerateRandomVector(DxUint8* outVector, DxUint32 vectorSize)
{
	DxUint32 i = 0, remainder = 0, randNum = 0;
	DX_VOS_SetRandomSeed(DX_VOS_GetTickCount());

	for (i = 0; i < vectorSize; i++)
	{
		remainder = i % 4;
		if (remainder == 0)
			randNum = DX_VOS_RandomGen();
		outVector[i] = ((DxUint8*)&randNum)[remainder];
	}
}
